#ifndef _HCU_CASES_H_
#define _HCU_CASES_H_

#include "hcu_driver.h"
#include "pke_driver.h"
#include "printf.h"

/* Show AES-ECB */
void hcu_ecb_demo(void);
/* Show AES-CMAC */
void hcu_cmac_demo(void);
/* Show SHA-256 */
void hcu_sha_demo(void);
/* Show RSA */
void hcu_rsa_demo(void);
/* Show RSA async */
void hcu_rsa_async_demo(void);
/* Show ECC */
void hcu_ecc_demo(void);
/* Show ECDSA */
void hcu_ecdsa_demo(void);

#endif /* _HCU_CASES_H_ */
